pcl::poisson::SortedTreeNodes::CornerTableData Struct Reference

`#include <pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h>`

## Public Member Functions

| CornerTableData (void)
| ~CornerTableData (void)
void | clear (void)
CornerIndices & | operator[] (const TreeOctNode *node)
const CornerIndices & | operator[] (const TreeOctNode *node) const
CornerIndices & | cornerIndices (const TreeOctNode *node)
const CornerIndices & | cornerIndices (const TreeOctNode *node) const

## Public Attributes

int | cCount
std::vector< CornerIndices > | cTable
std::vector< int > | offsets

## Detailed Description

Definition at line 130 of file multi_grid_octree_data.h.

## Constructor & Destructor Documentation

## CornerTableData()

pcl::poisson::SortedTreeNodes::CornerTableData::CornerTableData | ( | void |  | ) |

inline

Definition at line 132 of file multi_grid_octree_data.h.

References cCount.

## ~CornerTableData()

pcl::poisson::SortedTreeNodes::CornerTableData::~CornerTableData | ( | void |  | ) |

inline

Definition at line 133 of file multi_grid_octree_data.h.

References clear().

## Member Function Documentation

## clear()

void pcl::poisson::SortedTreeNodes::CornerTableData::clear | ( | void |  | ) |

inline

Definition at line 134 of file multi_grid_octree_data.h.

References cCount, and cTable.

Referenced by ~CornerTableData().

## cornerIndices() [1/2]

SortedTreeNodes::CornerIndices & pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices | ( | const TreeOctNode * | node | ) |

Definition at line 109 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::nodeData, and pcl::poisson::TreeNodeData::nodeIndex.

## cornerIndices() [2/2]

const SortedTreeNodes::CornerIndices & pcl::poisson::SortedTreeNodes::CornerTableData::cornerIndices | ( | const TreeOctNode * | node | ) | const

Definition at line 110 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::nodeData, and pcl::poisson::TreeNodeData::nodeIndex.

## operator[]() [1/2]

SortedTreeNodes::CornerIndices & pcl::poisson::SortedTreeNodes::CornerTableData::operator[] | ( | const TreeOctNode * | node | ) |

Definition at line 107 of file multi_grid_octree_data.hpp.

References cTable, pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::nodeData, pcl::poisson::TreeNodeData::nodeIndex, and offsets.

## operator[]() [2/2]

const SortedTreeNodes::CornerIndices & pcl::poisson::SortedTreeNodes::CornerTableData::operator[] | ( | const TreeOctNode * | node | ) | const

Definition at line 108 of file multi_grid_octree_data.hpp.

References pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::nodeData, and pcl::poisson::TreeNodeData::nodeIndex.

## Member Data Documentation

## cCount

int pcl::poisson::SortedTreeNodes::CornerTableData::cCount

Definition at line 139 of file multi_grid_octree_data.h.

Referenced by clear(), CornerTableData(), and pcl::poisson::SortedTreeNodes::setCornerTable().

## cTable

std::vector< CornerIndices > pcl::poisson::SortedTreeNodes::CornerTableData::cTable

Definition at line 140 of file multi_grid_octree_data.h.

Referenced by clear(), operator[](), and pcl::poisson::SortedTreeNodes::setCornerTable().

## offsets

std::vector< int > pcl::poisson::SortedTreeNodes::CornerTableData::offsets

Definition at line 141 of file multi_grid_octree_data.h.

Referenced by operator[](), and pcl::poisson::SortedTreeNodes::setCornerTable().

The documentation for this struct was generated from the following files:

- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h
- pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp